<?php
declare( strict_types=1 );

namespace FiboFilters\Integrations\Multilingual;

/**
 * Class TranslatePress
 */
class TranslatePress implements ProviderInterface {
	public function init(): void {
	}

	public function is_active(): bool {
		return defined( 'TRP_PLUGIN_VERSION' ) && class_exists( 'TRP_Translate_Press' );
	}

	public function get_name(): string {
		return 'TranslatePress';
	}

	public function get_languages( bool $include_invalid ): array { // phpcs:ignore
		return [];
	}

	public function get_current_language(): string {
		return 'en';
	}

	public function get_default_language(): string {
		return 'en';
	}

	public function get_post_language( int $post_id, string $post_type = 'product' ): string { // phpcs:ignore
		return 'en';
	}

	public function get_term_language( int $term_id, string $taxonomy ): string { // phpcs:ignore
		return 'en';
	}

	public function get_permalink( string $post_id, string $permalink = '', string $language = '', string $default_language = '' ): string { // phpcs:ignore
		return '';
	}

	public function get_terms_in_all_languages( string $taxonomy, array $languages, string $current_language ): array { // phpcs:ignore
		return [];
	}

	public function get_terms_in_language( array $args = [], string $language = '', string $current_language = '' ): array { // phpcs:ignore
		return [];
	}

	public function get_term( int $term_id, string $taxonomy, string $language, string $current_language = '' ): ?\WP_Term { // phpcs:ignore
		return null;
	}

	public function switch_language( string $language = '' ): void {} // phpcs:ignore

	public function register_strings_for_translation(): void {
	}

	public function perform_frontend_actions(): void {
	}
}
